<script setup lang="ts">
import { useAttendanceStore } from '@/stores/attendance'
import { onMounted, ref } from 'vue'

const attendanceStore = useAttendanceStore()

const headers = [
  {
    title: 'Id',
    key: 'id',
    value: 'id'
  },
  {
    title: 'EmployeeId',
    key: 'employeeId',
    value: 'employeeId'
  },
  {
    title: 'Name',
    key: 'name',
    value: 'name'
  },
  {
    title: 'Date',
    key: 'date',
    value: 'date'
  },
  {
    title: 'Clock In',
    key: 'clockIn',
    value: 'clockIn'
  },
  {
    title: 'Clock Out',
    key: 'clockOut',
    value: 'clockOut'
  },
  {
    title: 'Status',
    key: 'status',
    value: 'status'
  },
  {
    title: 'Working Hours',
    key: 'workedTime',
    value: 'workedTime'
  }
]

const search = ref('')

onMounted(() => {
  attendanceStore.getAllAttendance()
})
</script>
<template>
  <v-toolbar flat style="background-color: rgb(247, 156, 82)">
    <v-toolbar-title style="color: white">Employee Attendance</v-toolbar-title>
    <v-spacer></v-spacer>
  </v-toolbar>
  <div>
    <v-data-table
      :headers="headers"
      :items="attendanceStore.attendances"
      :search="search"
      class="custom-datatable"
    >
      <template v-slot:header="{ header }">
        <tr>
          <th v-for="(item, index) in headers" :key="index">{{ item.title }}</th>
        </tr>
      </template>
      <template v-slot:items="{ items }">
        <tr v-for="(item, index) in items" :key="index">
          <td>{{ item.employee.id }}</td>
          <td>{{ item.name }}</td>
          <td>{{ item.date }}</td>
          <td>{{ item.clockIn }}</td>
          <td>{{ item.clockOut }}</td>
          <td>{{ item.status }}</td>
          <td>{{ item.workedTime }}</td>
        </tr>
      </template>
    </v-data-table>
  </div>
</template>
